#!/bin/sh
#
# Assemble two files, one with the headers and the other containing the 
# actual data into a single file with the same name as the original data 
# file. It is assumed that the files have extension .csv and that the file 
# with the headers has the same name, except that it has appended the token
# '-HEADERS'. The original file is stored in theWorkDir and could be 
# retrieved in case there is something going bad.
# 
# This shell script helps in overcoming a limitation of more recent 
# FileMaker versions that do not support the export of UTF-8 encoded data 
# in a format that writes also the headers to the very first row.


curDir=`pwd -L`

theWorkDir=/private/tmp
theFileToAssemble=tmp-fixTABdelimFMExportForUTF8.txt
tmp=$theWorkDir/$theFileToAssemble
theExt=.tab
theOrigFile="${1}${theExt}"
cat "${1}-HEADERS${theExt}" "${1}${theExt}" | sed -e "s/___TAB___/	/g" > $tmp
mv -f "$theOrigFile" $theWorkDir
mv -f $tmp "$theOrigFile"
